
module soc_system (
	clk_clk,
	memory_mem_a,
	memory_mem_ba,
	memory_mem_ck,
	memory_mem_ck_n,
	memory_mem_cke,
	memory_mem_cs_n,
	memory_mem_ras_n,
	memory_mem_cas_n,
	memory_mem_we_n,
	memory_mem_reset_n,
	memory_mem_dq,
	memory_mem_dqs,
	memory_mem_dqs_n,
	memory_mem_odt,
	memory_mem_dm,
	memory_oct_rzqin,
	uart0_cts,
	uart0_dsr,
	uart0_dcd,
	uart0_ri,
	uart0_dtr,
	uart0_rts,
	uart0_out1_n,
	uart0_out2_n,
	uart0_rxd,
	uart0_txd);	

	input		clk_clk;
	output	[14:0]	memory_mem_a;
	output	[2:0]	memory_mem_ba;
	output		memory_mem_ck;
	output		memory_mem_ck_n;
	output		memory_mem_cke;
	output		memory_mem_cs_n;
	output		memory_mem_ras_n;
	output		memory_mem_cas_n;
	output		memory_mem_we_n;
	output		memory_mem_reset_n;
	inout	[31:0]	memory_mem_dq;
	inout	[3:0]	memory_mem_dqs;
	inout	[3:0]	memory_mem_dqs_n;
	output		memory_mem_odt;
	output	[3:0]	memory_mem_dm;
	input		memory_oct_rzqin;
	input		uart0_cts;
	input		uart0_dsr;
	input		uart0_dcd;
	input		uart0_ri;
	output		uart0_dtr;
	output		uart0_rts;
	output		uart0_out1_n;
	output		uart0_out2_n;
	input		uart0_rxd;
	output		uart0_txd;
endmodule
