// soc_system.v

// Generated using ACDS version 18.1 646

`timescale 1 ps / 1 ps
module soc_system (
		input  wire        clk_clk,            //    clk.clk
		output wire [14:0] memory_mem_a,       // memory.mem_a
		output wire [2:0]  memory_mem_ba,      //       .mem_ba
		output wire        memory_mem_ck,      //       .mem_ck
		output wire        memory_mem_ck_n,    //       .mem_ck_n
		output wire        memory_mem_cke,     //       .mem_cke
		output wire        memory_mem_cs_n,    //       .mem_cs_n
		output wire        memory_mem_ras_n,   //       .mem_ras_n
		output wire        memory_mem_cas_n,   //       .mem_cas_n
		output wire        memory_mem_we_n,    //       .mem_we_n
		output wire        memory_mem_reset_n, //       .mem_reset_n
		inout  wire [31:0] memory_mem_dq,      //       .mem_dq
		inout  wire [3:0]  memory_mem_dqs,     //       .mem_dqs
		inout  wire [3:0]  memory_mem_dqs_n,   //       .mem_dqs_n
		output wire        memory_mem_odt,     //       .mem_odt
		output wire [3:0]  memory_mem_dm,      //       .mem_dm
		input  wire        memory_oct_rzqin,   //       .oct_rzqin
		input  wire        uart0_cts,          //  uart0.cts
		input  wire        uart0_dsr,          //       .dsr
		input  wire        uart0_dcd,          //       .dcd
		input  wire        uart0_ri,           //       .ri
		output wire        uart0_dtr,          //       .dtr
		output wire        uart0_rts,          //       .rts
		output wire        uart0_out1_n,       //       .out1_n
		output wire        uart0_out2_n,       //       .out2_n
		input  wire        uart0_rxd,          //       .rxd
		output wire        uart0_txd           //       .txd
	);

	soc_system_hps_0 #(
		.F2S_Width (0),
		.S2F_Width (0)
	) hps_0 (
		.uart0_cts    (uart0_cts),          //     uart0.cts
		.uart0_dsr    (uart0_dsr),          //          .dsr
		.uart0_dcd    (uart0_dcd),          //          .dcd
		.uart0_ri     (uart0_ri),           //          .ri
		.uart0_dtr    (uart0_dtr),          //          .dtr
		.uart0_rts    (uart0_rts),          //          .rts
		.uart0_out1_n (uart0_out1_n),       //          .out1_n
		.uart0_out2_n (uart0_out2_n),       //          .out2_n
		.uart0_rxd    (uart0_rxd),          //          .rxd
		.uart0_txd    (uart0_txd),          //          .txd
		.mem_a        (memory_mem_a),       //    memory.mem_a
		.mem_ba       (memory_mem_ba),      //          .mem_ba
		.mem_ck       (memory_mem_ck),      //          .mem_ck
		.mem_ck_n     (memory_mem_ck_n),    //          .mem_ck_n
		.mem_cke      (memory_mem_cke),     //          .mem_cke
		.mem_cs_n     (memory_mem_cs_n),    //          .mem_cs_n
		.mem_ras_n    (memory_mem_ras_n),   //          .mem_ras_n
		.mem_cas_n    (memory_mem_cas_n),   //          .mem_cas_n
		.mem_we_n     (memory_mem_we_n),    //          .mem_we_n
		.mem_reset_n  (memory_mem_reset_n), //          .mem_reset_n
		.mem_dq       (memory_mem_dq),      //          .mem_dq
		.mem_dqs      (memory_mem_dqs),     //          .mem_dqs
		.mem_dqs_n    (memory_mem_dqs_n),   //          .mem_dqs_n
		.mem_odt      (memory_mem_odt),     //          .mem_odt
		.mem_dm       (memory_mem_dm),      //          .mem_dm
		.oct_rzqin    (memory_oct_rzqin),   //          .oct_rzqin
		.h2f_rst_n    ()                    // h2f_reset.reset_n
	);

endmodule
